SELECT
    DATE_PART('HOUR', "pickup_datetime") AS "hour_of_day",
    DATE_PART('DAYOFWEEK', "pickup_datetime") AS "day_of_week_num",
    DAYNAME("pickup_datetime") AS "day_of_week",
    COUNT(*) AS "num_trips"
FROM "trips"
INNER JOIN "zones"
ON "trips"."pickup_zone_id" = "zones"."zone_id"
WHERE
    "pickup_datetime" >= '{{ start_date }}'::DATE AND
    "pickup_datetime" < '{{ end_date }}'::DATE AND
    "borough" = '{{ borough }}'
GROUP BY 1, 2, 3
ORDER BY 1, 2, 3 ASC
